#pragma once
#include "DeviceBase.h"

// CPlayerWnd

typedef struct 
{
	unsigned int iWndIndex;
	unsigned int isSub;
}PLAYWND_PARAM;

class CPlayerWnd : public CWnd
{
	DECLARE_DYNAMIC(CPlayerWnd)

public:
	CPlayerWnd(unsigned int index);
	virtual ~CPlayerWnd();
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
protected:
	DECLARE_MESSAGE_MAP()
private:
	//Ŵ
	unsigned int	m_iIndex;			
	//ID
	LONG			m_lReaderID;
	//
	CStatic			m_wndPlayer;
	//ڴ˴ڲŵ豸
	CDeviceBase*	m_pDevice;
	//ڲ˵
	CMenu			m_wndMenu;
public:
	void SetWndFocus(BOOL bSelect);
	LONG GetReaderID();
	HWND GetPlayWnd();
	void SetDevice(CDeviceBase* pDevice);
	CDeviceBase* GetDevice();
	
	afx_msg void OnStreamMain();
	afx_msg void OnStreamSub();
	afx_msg void OnImageNormal();
	afx_msg void OnImageFull();
	afx_msg void OnStopplayOne();
	afx_msg void OnStopallplay();
	afx_msg void OnSynctime();
	afx_msg void OnRemote();
	afx_msg void OnRecordStart();
	afx_msg void OnRecordStop();
};


